Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1115708

Summary: Review Request: nodejs-vow - Promises/A+ proposal compatible promises library
Product: [Fedora] Fedora Reporter: Ralph Bean <rbean>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-22 18:19:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1115665, 1115677    

Description Ralph Bean 2014-07-02 21:10:28 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-vow.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-vow-0.4.4-1.fc20.src.rpm

Description:
A Promises/A+ implementation.

Comment 1 Parag AN(पराग) 2014-07-16 17:07:18 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-vow.x86_64: E: no-binary
nodejs-vow.x86_64: W: only-non-binary-in-usr-lib
nodejs-vow.x86_64: W: no-documentation
nodejs-vow-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 2 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :55c8f128424d2bb61baf3b586804b7b3adfdb6cb7a99340f5b228a251c47eb59
upstream tarball :55c8f128424d2bb61baf3b586804b7b3adfdb6cb7a99340f5b228a251c47eb59

+ License is valid and included as thier upstream links in source file.

+ rest looks following packaging guidelines


suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

2) just found new upstream release 0.4.5


Please provide updated package

Comment 2 Ralph Bean 2014-07-21 18:47:09 UTC
New release including the latest upstream tarball.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-vow.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-vow-0.4.5-1.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 04:22:01 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:14:48 UTC
New Package SCM Request
=======================
Package Name: nodejs-vow
Short Description: Promises/A+ proposal compatible promises library
Upstream URL: https://npmjs.org/package/vow
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:44:23 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 17:45:19 UTC
nodejs-vow-0.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-vow-0.4.5-1.fc20

Comment 7 Fedora Update System 2014-07-22 17:45:33 UTC
nodejs-vow-0.4.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-vow-0.4.5-1.fc19

Comment 8 Fedora Update System 2014-07-22 17:45:46 UTC
nodejs-vow-0.4.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-vow-0.4.5-1.el6

Comment 9 Ralph Bean 2014-07-22 18:19:51 UTC
Buildroot overrides have been created.

Comment 10 Fedora Update System 2014-08-13 00:39:38 UTC
nodejs-vow-0.4.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2014-08-15 02:44:37 UTC
nodejs-vow-0.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2014-08-15 02:49:48 UTC
nodejs-vow-0.4.5-1.fc19 has been pushed to the Fedora 19 stable repository.